package org.qatools.factory;

import java.util.LinkedList;
import java.util.List;

import org.apache.log4j.Logger;
import org.qatools.local.LocalFile;
import org.qatools.local.LocalFileUtil;
import org.qatools.util.ListUtil;

public class NameFactory extends QAToolsFactory {
    private static Logger logger = Logger.getLogger(NameFactory.class);
    private static List<String> malenames;
    private static List<String> femalenames;
    private static List<String> lastnames;
    
    static {
    	try {
    		malenames = LocalFileUtil.getLines(new LocalFile("src/main/resources/", "firstnames.male.txt"));
    		femalenames = LocalFileUtil.getLines(new LocalFile("src/main/resources/", "firstnames.female.txt"));
    		lastnames = LocalFileUtil.getLines(new LocalFile("src/main/resources/", "lastnames.txt"));
    		
    		logger.debug("Loaded male names - " + malenames.size());
    		logger.debug("Loaded female names - " + femalenames.size());
    		logger.debug("Loaded last names - " + lastnames.size());
    	} catch (Exception ex) {
    		ex.printStackTrace();    		
    	}
    }
    
	// --------------------------------------------------------
	// ----- male names
	// --------------------------------------------------------
	
	/**
	 * 
	 * @return
	 */
	public static String getRandomMaleFirstname() {
		return ListUtil.getRandom(malenames);
	}
	
	/**
	 * 
	 * @param num
	 * @return
	 */
	public static List<String> getRandomMaleFirstnames(int num) {
		return ListUtil.getRandoms(malenames, num);
	}
	

	// --------------------------------------------------------
	// ----- female names
	// --------------------------------------------------------
	
	/**
	 * 
	 * @return
	 */
	public static String getRandomFemaleFirstname() {
		return ListUtil.getRandom(femalenames);
	}
	
	/**
	 * 
	 * @param num
	 * @return
	 */
	public static List<String> getRandomFemaleFirstnames(int num) {
		return ListUtil.getRandoms(femalenames, num);
	}
	

	// --------------------------------------------------------
	// ----- last names
	// --------------------------------------------------------
	
	/**
	 * 
	 * @return
	 */
	public static String getRandomLastname() {
		return ListUtil.getRandom(lastnames);
	}
	
	/**
	 * 
	 * @param num
	 * @return
	 */
	public static List<String> getRandomLastnames(int num) {
		return ListUtil.getRandoms(lastnames, num);
	}
	

}