package org.qatools.remote;

public class RemoteFile extends RemoteDir {
	private String filename;

	// -------------------------------------------------------------
	// ----- constructor -------------------------------------------
	// -------------------------------------------------------------

	public RemoteFile() {
	}
	public RemoteFile(String h, String u, String p, String d, String f) {
		this.setHost(h);
		this.setUser(u);
		this.setPassword(p);
		this.setDir(d);
		this.setFilename(f);		
	}
	public RemoteFile(RemoteConn rc, String d, String f) {
		this.setHost(rc.getHost());
		this.setUser(rc.getUser());
		this.setPassword(rc.getPassword());
		this.setDir(d);
		this.setFilename(f);		
	}
	public RemoteFile(RemoteDir rd, String f) {
		this.setHost(rd.getHost());
		this.setUser(rd.getUser());
		this.setPassword(rd.getPassword());
		this.setDir(rd.getDir());
		this.setFilename(f);		
	}

	// -------------------------------------------------------------
	// ----- getFullPath -------------------------------------------
	// -------------------------------------------------------------

	public String getFullPath() {
		return this.getDir() + this.getFilename();
	}
	
	// -------------------------------------------------------------
	// ----- getter / setters --------------------------------------
	// -------------------------------------------------------------
	
	public String getFilename() {
		return filename;
	}

	public void setFilename(String filename) {
		this.filename = filename;
	}
	
	
}
